1. iMore Question's Avatar
    I recently bought a new Airport Extreme for my iMac. the Airport Extreme requires a minimum of OS X 10.7.5. The authorized Mac salesman downloaded (free) software to make the Airport Extreme compatible with my iMac and all is well. Is this type of upgrade possible with the owc Thunderbolt 2 Dock?
    Last edited by Karenkcoulter; 01-06-2015 at 03:48 PM. Reason: Removed email address
    01-06-2015 02:21 PM
  2. warcraftWidow's Avatar
    Doubtful. I don't think any iMac that still has OS X 10.6.8 even has a thunderbolt port. So this would be a hardware issue not something that can be fixed via the software.
    01-06-2015 03:50 PM
  3. warcraftWidow's Avatar
    Also, there's no reason that I can think of that a new AirPort Extreme would not be compatible with an iMac running OS X 10.6.8.
    But it is entirely possible that the Airport Utility software included with 10.6.8 does not support the new AirPort Extreme. This is what I assume the salesperson fixed for you.
    01-06-2015 03:52 PM

Similar Threads

  1. Glad to be here!
    By Zyiros in forum Introductions
    Replies: 21
    Last Post: 01-12-2015, 11:07 PM
  2. Comic: 2015 is going to be a huge year for Apple fans!
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 01-06-2015, 01:51 PM
  3. Can you help me to factory reset my iPhone 5C?
    By iMore Question in forum Ask a Question
    Replies: 1
    Last Post: 01-06-2015, 01:37 PM
  4. Replies: 1
    Last Post: 01-06-2015, 12:44 PM
  5. How can I delete and un-sync my iCloud photos from my iPhone?
    By iMore Question in forum Ask a Question
    Replies: 1
    Last Post: 01-06-2015, 12:40 PM
LINK TO POST COPIED TO CLIPBOARD